curl
curl -sS "https://gateway.orbit/api/v1/database-connections/app/describe/users" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": {
"slug": "<string>",
"driver": "<string>",
"table": "<string>",
"columns": [
{
"name": "<string>",
"type": "<string>",
"nullable": true,
"default": "<string>",
"primary": true
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Database connections
Describe a Database table
Shows columns for one table on a registered Database connection. An unknown table returns database.table_missing.
GET
/
api
/
v1
/
database-connections
/
{database_connection}
/
describe
/
{table}
curl
curl -sS "https://gateway.orbit/api/v1/database-connections/app/describe/users" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": {
"slug": "<string>",
"driver": "<string>",
"table": "<string>",
"columns": [
{
"name": "<string>",
"type": "<string>",
"nullable": true,
"default": "<string>",
"primary": true
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Path Parameters
Database connection slug.
Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Table name.
Maximum string length:
64Pattern:
^[A-Za-z_][A-Za-z0-9_]*$